KOULES(6)

NAZWA
koules.svga - Gra akcji dla Linuksa

SKŁADNIA
koules.svga [-slMmdh]

KOULES OD GÓRY:
                        .
                 --- . . O
                / \ . .
               | | . . .. ---
                \ / / \ X O
                 --- | O|
                        \ O/
                        --- ---
                . O /O O\
             . . . . | |
              . . . \ /
            . .X. . O ---
              . . . .
             . . . . ...
                . . . .
                        . . . .
                        . . .
                        BAW
                        SIĘ
                        DOBRZE !

OPIS
Koules jest grą akcji. Misją jest rozwalenie wszystkich myśliwców koules z twojego sektora

OPCJE

-h  daje pomoc

-s  włącza mały ekran (320x200), który może się przydać na słabszych maszynach

-l  włącza duży ekran (640x480), jest to domyślne

-M  wyłącza wsparcie dla myszy

-d  wyłącza dźwięk. Punktacja:
      Odbicie czegoś : +1
      Zjedzenie rozszerzenia : +10
    Na końcu poziomu
      każde życie : +20
      każdy stracony poziom : -100
    W trybie deathmatch
      każdy zniszczony konkurent: +100

WYMAGANIA
386DX+, pracujący pod kontrolą Linuksa (możesz spróbować z 386SX, lecz uważaj... będzie to powolne). Koprocesor jest mile widziany. Ponadto karta grafiki działająca z SVGALIB. Ładna klawiatura... Aby mieć dźwięk, potrzebujesz karty dźwiękowej, która potrafi odtwarzać 8-bitowy dźwięk cyfrowy, oraz sterowniki Voxware w wersji co najmniej 2.9. Alternatywnie pcsnd dla sterownika pc-speakera. Do obsługi joystickiem musisz mieć wkompilowane w jądro odpowiednie patche (lub użyć nowszego modułu joysticka). Do obsługi myszką skonfiguruj odpowiednio svgalib w /usr/local/lib/libvga.conf

PRZENOŚNOŚĆ
Program jest napisany w ANSI C i używa biblioteki svgalib.

BŁĘDY/OGRANICZENIA
W moim svgalib.1.2.6 jest błąd: przełącz się na inną konsolę, z powrotem, naciśnij enter i wszystko się zawali. To nie błąd koules!!! Są problemy z kontrolerem klawiatury dla trybu więcej niż 2 graczy (użyj myszy lub joysticka)

AUTOR
Jan Hubicka email: hubicka@limax.paru.cas.cz
smail:
       Jan Hubicka
       Dukelskych bojovniku 1944
       Tabor 39001
       Czech Republic